SoMFName(3)

NAME
SoMFName - The SoMFName class is a container for SbName values.

SYNOPSIS

#include <Inventor/fields/SoMFName.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFName & operator= (const SoMFName &field)
virtual SbBool isSame (const SoField &field) const
const SbName & operator[] (const int idx) const
const SbName * getValues (const int start) const
int find (const SbName &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbName *newvals)
void set1Value (const int idx, const SbName &value)
void setValue (const SbName &value)
const SbName & operator= (const SbName &val)
SbBool operator== (const SoMFName &field) const
SbBool operator!= (const SoMFName &field) const
SbName * startEditing (void)
void finishEditing (void)
void setValues (const int start, const int num, const char *strings[])
void setValue (const char *str)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbName * values

  Additional Inherited Members

Detailed Description

The SoMFName class is a container for SbName values. This field is used where nodes, engines or other field containers needs to store arrays of names.

See also
    SoSFName

Member Function Documentation

  void * SoMFName::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFName::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFName::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFName::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFName::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFName::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFName::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbName * SoMFName::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFName::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFName::setValues (const int start, const int numarg, const char * strings[])
Set num strings from index start in this multiple-value field instance.

  void SoMFName::setValue (const char * str)
Set this field to contain only a single name, given by str.

Author

Generated automatically by Doxygen for Coin from the source code.